Get a portfolio Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/portfolios/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • plan_uuid string Required
  • subAccount_uuid string Required
  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • is_proposed boolean
    • proposed_at string
    • name string
GET /api/v1/plans/{plan_uuid}/sub-accounts/{subAccount_uuid}/portfolios/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed/portfolios/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
[
  {
    "uuid": "79aee904-06f0-4dc7-9c89-ee6667dc2d39",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "is_proposed": true,
    "proposed_at": "2026-07-17T00:00:00+01:00",
    "name": "Risky Portfolio"
  }
]